[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TComponentEnumerator.GetCurrent

Return the current pointer in the list

## Declaration

Source position: classesh.inc line 1880

`public function TComponentEnumerator.GetCurrent: TComponent;`

## Description

GetCurrent returns the current TComponent child component instance in the enumerator.

## Errors

No checking is done on the validity of the current position.

## See also

MoveNext |  | Move the position of the enumerator to the next position in the children of the component.
TComponent.Components |  | Indexed list (zero-based) of all owned components.